#include <afxwin.h>
#include "CWirelessSample.h"
#include "SnoopObjects.h"
#include "list_T.h"

#ifndef __CSNOOPER__
#define __CSNOOPER__

class CSnooper {
public:
  // construction
  CSnooper();
  ~CSnooper();

  // access:

  // call Capture once (and only once)
  // before calling Sample()
  // returns false on error, true otherwise
  bool Capture();

  // Sample() - returns a sample
  // returns NULL on error
  CWirelessSample * Sample();

private:

  List <SnoopedSample *> sampleList;
  List <SnoopedSignal *> signalList;
  List <SnoopedNoise * > noiseList;
  List <SnoopedMAC * > macList;
  List <SnoopedAPName *> apnameList;
  List <SnoopedChannel *> channelList;

  bool captured;

  CWnd * targetWindow;
  CWnd * targetTab;
};

#endif
