#include <afxwin.h>
#include "RunDialog.h"
#include "resource.h"

afx_msg BOOL RunDialog::OnInitDialog() {
	CDialog::OnInitDialog();

	char buff[8];
	CEdit * edit;

	edit = (CEdit *) GetDlgItem(IDC_SAMPLECOUNT);
	itoa(nSamples,buff,10);
	edit->SetWindowText(buff);

	edit = (CEdit *) GetDlgItem(IDC_SAMPLEINTERVAL);
	itoa(nInterval,buff,10);
	edit->SetWindowText(buff);

	if(nRunDelta==-10) {
		edit = (CEdit *) GetDlgItem(IDC_TIMEBETWEENRUNS);
		edit->SetReadOnly(TRUE);
		edit->SetWindowText("N/A");
	}

	CComboBox * combo;
	combo = (CComboBox *) GetDlgItem(IDC_MODEBOX);

	// Populate the mode box
	for(int i=0;i<=7;i++) {
		itoa(i,buff,10);
		combo->AddString(buff);
	}

	combo->SetCurSel(mode);

	return TRUE;
}

afx_msg void RunDialog::OnOK() {

	char buff[8];
	CEdit * edit;

	edit = (CEdit *) GetDlgItem(IDC_TIMEBETWEENRUNS);
	edit->GetWindowText(buff,8);
	nRunDelta = atoi(buff);

	CComboBox * combo = (CComboBox *) GetDlgItem(IDC_MODEBOX);
	mode = combo->GetCurSel();

	EndDialog(0);
}

afx_msg void RunDialog::OnCancel() {
	EndDialog(-1);
}

afx_msg void RunDialog::OnDestroy() {

}

BEGIN_MESSAGE_MAP( RunDialog, CDialog ) 
	ON_COMMAND( IDOK, OnOK )
	ON_COMMAND( IDCANCEL, OnCancel )
	ON_WM_DESTROY()
END_MESSAGE_MAP()