#include <afxwin.h>
#include "ServerDialog.h"
#include "resource.h"

afx_msg BOOL ServerDialog::OnInitDialog() {
	CDialog::OnInitDialog();

	return TRUE;
}

afx_msg void ServerDialog::OnOK() {
	if(AfxMessageBox("Are you sure you wish to use these settings?",MB_YESNO)==IDNO) {
		return;
	}
	// get values from the dialog
	CIPAddressCtrl * ip = (CIPAddressCtrl *) GetDlgItem(IDC_SERVERIP);
	ip->GetAddress((unsigned long &)ipaddr);

	char buff[8];
	CEdit * edit = (CEdit *) GetDlgItem(IDC_SERVERPORT);
	edit->GetWindowText(buff,8);
	port = atoi(buff);

	edit = (CEdit *) GetDlgItem(IDC_TIMEOUT);
	edit->GetWindowText(buff,8);
	timeout = atoi(buff);

	edit = (CEdit *) GetDlgItem(IDC_SAMPLECOUNT);
	edit->GetWindowText(buff,8);
	nSamples = atoi(buff);

	edit = (CEdit *) GetDlgItem(IDC_SAMPLEINTERVAL);
	edit->GetWindowText(buff,8);
	nInterval = atoi(buff);

	CButton * box = (CButton *) GetDlgItem(IDC_DUMPSAMPLE);
	dump=box->GetCheck()==1;

	EndDialog(0);
}

afx_msg void ServerDialog::OnCancel() {
	EndDialog(-1);
}

afx_msg void ServerDialog::OnDestroy() {

}

BEGIN_MESSAGE_MAP( ServerDialog, CDialog ) 
	ON_COMMAND( IDOK, OnOK )
	ON_COMMAND( IDCANCEL, OnCancel )
	ON_WM_DESTROY()
END_MESSAGE_MAP()