
#ifndef __SNOOPOBJECTS__
#define __SNOOPOBJECTS__

class SnoopedAttribute {
public:
	int y; // indicates to which group it belongs to
};

class SnoopedSignal : public SnoopedAttribute {
public:
	int data;
};

class SnoopedNoise : public SnoopedAttribute {
public:
	int data;
}; 

class SnoopedAPName : public SnoopedAttribute {
public:
	CString data;
};

class SnoopedMAC : public SnoopedAttribute {
public:
	CString data;
};

class SnoopedChannel : public SnoopedAttribute {
public:
	int data;
};

class SnoopedSample : public SnoopedAttribute {
public:
	SnoopedSignal * signal;
	SnoopedNoise * noise;
	SnoopedAPName * apname;
	SnoopedMAC * mac;
	SnoopedChannel * channel;
};

#endif

